Tasks
All operations require authentication.
2 operationsv1/ipLoadbalancing/{serviceName}
List tasksProduction
GET
/1.0/ ipLoadbalancing/ {serviceName}/ task
Path parameters
service Name
required
string
The internal name of your IP load balancing
Query parameters
action
Task Action Enum
Filter the value of action property (=)
Values
deleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetachcreation Date. from
stringdate-time
Filter the value of creationDate property (>=)
creation Date. to
stringdate-time
Filter the value of creationDate property (<=)
done Date. from
stringdate-time
Filter the value of doneDate property (>=)
done Date. to
stringdate-time
Filter the value of doneDate property (<=)
status
Task Status Enum
Filter the value of status property (=)
Values
blockedcancelleddoingdoneerrortodoResponse
200integer []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
GET
/1.0/ ipLoadbalancing/ {serviceName}/ task/ {id}
Path parameters
id
required
integer
Id of the operation
service Name
required
string
The internal name of your IP load balancing
Response
200Tasksuccessful operation
action
read-only
Task Action Enum
Operation type
Values
deleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetachcreation Date
read-only
stringdate-time
Creation date of your operation
done Date
read-only
stringdate-time
Done date of your operation
id
read-only
integer
Id of the operation
progress
read-only
integer
Operation progress percentage
status
read-only
Task Status Enum
Current status of your operation
Values
blockedcancelleddoingdoneerrortodozones
read-only
string []
Zone of your Load Balancer which are updated by current Task
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}